View Issue Details

IDProjectCategoryView StatusLast Update
16518Bug reportsConditionspublic2020-07-31 11:58
Reportergabrieljenik Assigned To 
PrioritynoneSeveritypartial_block 
Status resolvedResolutionfixed 
Product Version3.22.27 
Summary16518: Cannot add condition based on Survey participant attributes
Description

Cannot add condition based on Survey participant attributes
(Always is selected Previous questions and cannot unselect "G01Q01")

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.27
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmariadb-10.3
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.15

Relationships

related to 15945 closed Cannot add condition based on Survey participant attributes 

Activities

gabrieljenik

gabrieljenik

2020-07-22 17:04

developer   ~59047

The condition is added, but as is not saved correctly on the DB, it is not showed on the scenario list.
On DB the cfieldname = <some SGQ> whereas it should be cfieldname = <token attribute>

As that, the condition is not picked up correctly.

So, it needs to be fixed, how the conditions is saved on the DB

gabrieljenik

gabrieljenik

2020-07-28 02:03

developer   ~59110

Last edited: 2020-07-31 11:58

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1497

As the question select was initialized, the p_cquestions field had a value.
As so, it was always set, no matter if a token field was chosen.
So, when selecting a token field, a question field was wrongly set on the condition.

sushmanadendla

sushmanadendla

2020-07-29 11:44

manager   ~59147

Last edited: 2020-07-31 11:58

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Below are the details:

  1. Before pulling the PR on clicking on add condition I get a message saying condition is added but it's not added or listed in default scenario.
  2. After Pulling the PR I added the condition based on survey participants, I was successfully able to add the condition and the added condition is listed under Default scenario.
    Please refer the attachment for more details

user231563

2020-07-30 10:53

  ~59194

Last edited: 2020-07-31 11:58

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30316

lime_release_bot

lime_release_bot

2020-07-30 15:30

administrator   ~59211

Last edited: 2020-07-31 11:58

Fixed in Release 3.22.29+200731

Related Changesets

LimeSurvey: 3.x-LTS a6dcb393

2020-07-28 01:59:14

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 16518: Cannot add condition based on Survey participant attributes

Considering editSourceTab for setting up the condition fieldName
Affected Issues
16518
mod - application/controllers/admin/conditionsaction.php Diff File

Issue History

Date Modified Username Field Change
2020-07-22 17:04 gabrieljenik New Issue
2020-07-22 17:04 gabrieljenik Issue generated from: 15945
2020-07-22 17:04 gabrieljenik Note Added: 59047
2020-07-22 17:04 gabrieljenik Relationship added related to 15945
2020-07-28 02:03 gabrieljenik Note Added: 59110
2020-07-29 11:44 sushmanadendla Note Added: 59147
2020-07-29 11:44 sushmanadendla File Added: 16518_AddCondition_SurveyParticipantAttributes.png
2020-07-30 10:53 user231563 Changeset attached => LimeSurvey 3.x-LTS a6dcb393
2020-07-30 10:53 user231563 Note Added: 59194
2020-07-30 15:30 lime_release_bot Note Added: 59211
2020-07-30 15:30 lime_release_bot Status new => closed
2020-07-30 15:30 lime_release_bot Resolution open => fixed
2020-07-31 11:58 swendrich Status closed => resolved
2020-07-31 11:58 swendrich Status closed => resolved